Create Booking
Base Url : https://api.toggie.com/api
File Server : https://files.toggie.com/{file_name}
Endpoint : /booking/v1/postBooking
Header : {"withCredentials"=>true}
Method : post
header keys :
{
    "CHANNEL-ID": "int",
    "SECRET-KEY": "string",
    "ACCESS-KEY": "string"
}
required body parameters :
{
    "room_type_id": "int|required",
    "currency_id": "int",
    "adults": "int",
    "children": "int",
    "check_in": "Y-m-d",
    "check_out": "Y-m-d",
    "beds_customize": "object",
    "first_name": "string",
    "last_name": "string",
    "mobile_number": "string",
    "gender": "string",
    "id_type": "string",
    "nid": "string",
    "state": "int",
    "city": "int",
    "country": "int",
    "zip_code": "string"
}
optional body parameters :
{
    "email": "string",
    "nationality": "string",
    "address": "string"
}
response :
{
    "status": "string",
    "error_type": "string",
    "message": "string",
    "results": "int (booking id)"
}